Subject: 501 Not Implemented - generic or only method specific?

From: Best <[email-masked]>
Date: Mon, 10 Feb 2014 19:39:59 +0000

Hello,

RFC 2616 Section 6.6.2 only mentiones that it is the proper status code
when the requested method is not recognized by the server.
In Section 3.6 Transfer Codings it is refered to it, too.
→ The status code is generic useable for anything which is not implemented.
This should be described better, with more examples so that if one reads
it immediately understands that it doesn't apply only to an
unimplemented method.

I am also wondering, what a unimplemented method means?
For example:
My server of course knows PUT, but the resource doesn't know PUT. What
is the appropriate response code? 405 or 501? I tend to 405.